Bug 797966 - Cannot login into jBPM Console when deployed in cluster
Cannot login into jBPM Console when deployed in cluster
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM Console (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
urgent Severity urgent
: ER8
: BRMS 5.3.0.GA
Assigned To: Ryan Zhang
Jiri Locker
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-27 11:37 EST by Jiri Locker
Modified: 2012-06-08 10:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
clustered EAP 5.1 (the one included in standalone package)
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
server.log (43.73 KB, text/plain)
2012-02-27 11:40 EST, Jiri Locker
no flags Details
PaleScreenOfDeath.png (53.56 KB, image/png)
2012-02-27 11:47 EST, Jiri Locker
no flags Details
errai-bus jar update to test with (771.51 KB, application/java-archive)
2012-03-15 12:21 EDT, Tihomir Surdilovic
no flags Details

  None (edit)
Description Jiri Locker 2012-02-27 11:37:22 EST
Description of problem:
Firstly, when http://localhost:8080/jbpm-console/ is accessed, an exception is logged by tomcat:

> 15:48:42,447 ERROR [[ErraiServlet]] Servlet.service() for servlet ErraiServlet threw exception
> java.lang.IllegalArgumentException: setAttribute: Non-serializable attribute

Secondly, the login box shows up as expected. However, after providing correct login and password and hitting "Login", the login process ends with an empty screen (a.k.a. "pale screen of death").

Version-Release number of selected component (if applicable):
BRMS 5.3.0 ER4

How reproducible:
always

Steps to Reproduce:
1. use 'all' profile (clustering-enabled)
2. make jbpm-console.war <distributable/> (WEB-INF/web.xml)
3. start the all profile
4. go to http://localhost:8080/jbpm-console/ and check server.log for the exception
5. try to log in, you end up with the pale screen
  
Actual results:
* ErraiServlet throws IllegalArgumentException
* the login process does not complete correctly

Expected results:
* no exception in the log when jbpm-console is accessed
* it is possible to log in

Additional info:
attached server.log and screenshot
Comment 1 Jiri Locker 2012-02-27 11:40:04 EST
Created attachment 566086 [details]
server.log
Comment 2 Jiri Locker 2012-02-27 11:47:41 EST
Created attachment 566089 [details]
PaleScreenOfDeath.png
Comment 3 Kris Verlaenen 2012-02-28 18:57:22 EST
We are patching Errai 1.1-Final to fix an issue where the SessionsContainer is not serializable.  Hopefully that should solve the issue.
Comment 5 Tihomir Surdilovic 2012-03-15 11:39:01 EDT
We cannot patch Errai 1.1-Final tag directly - it does not build because of missing dependencies. I was able to make this change and build the Errai 1.3 branch (https://github.com/errai/errai/tree/1.3) and build it. 

Before we go further, question is on QA if we can even include SNAPSHOT versions as dependencies? Don't think this would pass a deployment anyways and don't think we can use snapshot depends in the product either.
Comment 6 Tihomir Surdilovic 2012-03-15 11:43:42 EDT
There is no 1.1 Errai branch. It only has 1.3 and 2.1 in github.
Comment 7 Tihomir Surdilovic 2012-03-15 12:21:23 EDT
Created attachment 570341 [details]
errai-bus jar update to test with
Comment 8 Tihomir Surdilovic 2012-03-15 12:24:05 EDT
Was able to build errai 1.1.Final it with some small changes afterall:

to test replace your

/jboss-as-web/server/<CONFIG>/deploy/gwt-console-server.war/WEB-INF/lib/errai-bus-1.1-Final.jar
./jboss-as-web/server/<CONFIG>/deploy/jbpm-console.war/WEB-INF/lib/errai-bus-1.1-Final.jar

and let us know if this fixes the problem or introduces some new issues.
Comment 9 Tihomir Surdilovic 2012-03-15 12:26:53 EDT
The attached jar is just for testing purposes - if it fixes the problem we will do a 1.1.1-Final errai release
Comment 10 Jiri Locker 2012-03-16 05:04:34 EDT
The issue is gone with the patched errai-bus-1.1-Final.jar.
Comment 11 Ryan Zhang 2012-03-21 06:07:07 EDT
Please verify this issue on ER5.

Thanks!
Comment 12 Jiri Locker 2012-03-26 09:43:55 EDT
Fix verified.
Comment 16 Jiri Locker 2012-05-11 09:14:40 EDT
The issue recurred in ER6 with the same symptoms.
Comment 17 Lukáš Petrovický 2012-05-12 06:41:01 EDT
This issue reappeared, requesting blocker+.
Comment 18 Tihomir Surdilovic 2012-05-22 08:07:12 EDT
We are unable to build errai and erra-workspaces because the versions that are being used in the console no longer have the sources and branches available. The best thing I can tell is that the production build needs to replace the errai jar with the one attached in this BZ and that is also the one that was tested with by QA previously.
Comment 19 Jiri Locker 2012-05-22 11:43:48 EDT
+1. Assigning to Ryan.
Comment 20 Ryan Zhang 2012-05-23 05:33:52 EDT
Patch jars are added in product build.
Mark it as modified.

Hopefully we could get it fixed for source in future.
Comment 21 Ryan Zhang 2012-05-25 05:08:03 EDT
Please verify them on ER8.

Note You need to log in before you can comment on or make changes to this bug.